/*
	File Name:		ComponentTester.h
*/

#pragma once

#define dlogMainID			128
#define itemQuit			1
#define	itemRegister		5
#define itemUnregister		6
#define itemBeep			7
#define itemFlash			8
#define itemBeepTimes		9
#define itemFlashTimes		10
#define itemFlashDelay		11
#define itemComponentIcon	17

OSErr DoRegister(void);
OSErr DoUnregister(void);
OSErr Beep(short beepTimes);
OSErr Flash(short flashTimes, long flashDelay);
pascal void DrawComponentIcon(DialogPtr d, short theItem);

void GetItemText(DialogPtr dlg, short itemNumber, unsigned char* textStr);
void GetDialogItemRect(DialogPtr dlg, short itemNumber, Rect *r);
void SetUserItemProc(DialogPtr dlg, short userItem, ProcPtr userProc);
void EnableControl(DialogPtr dlg, short controlNumber);
void DisableControl(DialogPtr dlg, short controlNumber);
void SetWindowFont(DialogPtr d, short fontNum, short fontSize, Style fontStyle, short fontMode);

void ShowError(OSErr errorCode, unsigned char * errorStr);