/*
	File Name:	globs.h
*/

#pragma once


/* constants */

#define kSleepTime 		15
#define kMinimumSystem	0x0700



/* alerts */

#define alertNeedSystem7OrLater			128
#define alertMenuBarResourceNotFound	129
#define alertAEProcessAEError			130
#define alertInitAEError				131
#define alertExecuteResourceError		132
#define alertExecuteSharedLibError		133

#define alertAbout						1000



/* menus */

#define menubarResID	128

#define menuApple		1
#define 	itemAbout		1

#define menuFile		2
#define 	itemQuit		1

#define menuEdit		3
#define 	itemUndo		1
#define 	itemCut			3
#define 	itemCopy		4
#define 	itemPaste		5
#define 	itemClear		6
#define 	itemSelectAll	8
#define 	itemPreferences	10

#define menuCode		4
#define		itemExecuteResource		1
#define 	itemExecuteSharedLib	2

/* global variables */

extern EventRecord  	gTheEvent;
extern Boolean			gDone;
extern Boolean			gInBackground;
extern Boolean			gInIdle;
extern long				gSleepTime;
extern Str255			gStr;
extern short			gCodeCallPreference;
