/*
	File Name:	Tiger Slider.h
*/

#pragma once

#include	<QDOffscreen.h>

#define	min(a,b) ((a) > (b) ? (b) : (a))
#define	max(a,b) ((a) > (b) ? (a) : (b))


#if defined(powerc) || defined (__powerc)
#pragma options align=mac68k
#endif

typedef struct SliderInfo
{
	short			backgroundPictResID,
						indicatorPictResID,
						bitDepth,
						pixelsPerValue;		// how many pixels to the right does each control value represent?
	Rect			indicatorRect;		// where does the indicator appear when the control value is minimum?
	GWorldPtr	indicatorWorld,
						backgroundWorld,
						compositeWorld;
} SliderInfo, *SliderInfoP, **SliderInfoH;

#if defined(powerc) || defined(__powerc)
#pragma options align=reset
#endif

#define	kSliderInfoType		'Sinf'


pascal	long	main (short varCode, ControlHandle theControl, short theMessage, long theParam);
				void	InitTheControl (ControlHandle theControl);
				void	DisposeTheControl (ControlHandle theControl);
				void	DrawTheControl (ControlHandle theControl);
				void	DragTheControl (ControlHandle theControl);