/*
	File Name:		a5World.h
*/

#pragma once

typedef struct {
	QDGlobals	qd;						// QuickDraw globals
	GrafPtr		thePort;				// a5
	char		stuff[28];				// Misc stuff
	GrafPort	port;					// The color port we open to draw in
} QDWorld;

typedef struct {
	THz					oldZone;		// saved heap zone
	UniversalProcPtr	saveDeskHook;	// saved DeskHook
	UniversalProcPtr	saveDragHook;	// saved DragHook
	unsigned char		savedResLoad;	// saved ResLoad
	long				oldA5;			// saved A5
	Ptr					pFMExist;		// Font Manager initialized flag
	Ptr					pQDExist;		// QuickDraw initialized flag
	unsigned char		savedFMExist;	// saved value of Font Manager initialized flag
	unsigned char		savedQDExist;	// saved value of QuickDraw initialized flag
	QDWorld				qdWorld;		// our QuickDraw world
} A5Params, *A5ParamsPtr;

void PrepareA5World(A5ParamsPtr pp, Rect *screenBitsBounds);
void RestoreA5World(A5ParamsPtr pp);
void UpdateRectangle(Rect *updateRect);
